<!--
  ~ iparapheur Web
  ~ Copyright (C) 2019-2025 Libriciel SCOP
  ~
  ~ This program is free software: you can redistribute it and/or modify
  ~ it under the terms of the GNU Affero General Public License as published by
  ~ the Free Software Foundation, either version 3 of the License, or
  ~ (at your option) any later version.
  ~
  ~ This program is distributed in the hope that it will be useful,
  ~ but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  ~ GNU Affero General Public License for more details.
  ~
  ~ You should have received a copy of the GNU Affero General Public License
  ~ along with this program. If not, see <http://www.gnu.org/licenses/>.
  -->

<div class="form-group ls-form">

  <label [innerText]="messages.THE_CURRENT_DESK_CAN_"></label>

  <div class="custom-control custom-checkbox">
    <input
      id="folderCreationAllowed"
      class="custom-control-input"
      type="checkbox"
      [(ngModel)]="desk.folderCreationAllowed"
      [ngModelOptions]="{standalone: true}"
      (change)="onFolderCreationCheckboxChanged()"/>
    <label
      class="custom-control-label fw-normal"
      for="folderCreationAllowed"
      [innerText]="messages.CREATE_FOLDERS">
    </label>
  </div>

  <div class="custom-control custom-checkbox">
    <input
      id="actionAllowed"
      class="custom-control-input"
      type="checkbox"
      [disabled]="desk.folderCreationAllowed"
      [(ngModel)]="desk.actionAllowed"
      [ngModelOptions]="{standalone: true}">
    <label
      class="custom-control-label fw-normal"
      for="actionAllowed"
      [innerText]="messages.PERFORM_ACTIONS">
    </label>
  </div>

  <div class="custom-control custom-checkbox">
    <input
      id="archivingAllowed"
      class="custom-control-input"
      type="checkbox"
      [(ngModel)]="desk.archivingAllowed"
      [disabled]="desk.chainAllowed"
      [ngModelOptions]="{standalone: true}">
    <label
      class="custom-control-label fw-normal"
      for="archivingAllowed"
      [innerText]="messages.FINISHED_FOLDERS">
    </label>
  </div>

  <div class="custom-control custom-checkbox">
    <input
      id="chainAllowed"
      class="custom-control-input"
      type="checkbox"
      [(ngModel)]="desk.chainAllowed"
      (ngModelChange)="onChainAllowedCheckboxChanged()"
      [ngModelOptions]="{standalone: true}">
    <label
      class="custom-control-label fw-normal"
      for="chainAllowed"
      [innerText]="messages.CHAIN_FOLDERS">
    </label>
  </div>

</div>
